com.trendmicro.ds.platform.rest.object.proxies

## Class Proxy

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.proxies.Proxy

-     public class Proxy
      extends java.lang.Object

  Proxy details.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Proxy.Protocol` Types of protocols supported by Deep Security for proxy access.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Proxy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Get the proxy address.
    `java.lang.String` | `getDescription()` Get the proxy description.
    `java.lang.Integer` | `getID()` Get the proxy ID.
    `java.lang.String` | `getName()` Get the proxy name.
    `java.lang.String` | `getPassword()` Get the proxy password for use if the proxy requires authentication.
    `java.lang.Integer` | `getPort()` Get the proxy port.
    `Proxy.Protocol` | `getProtocol()` Get the proxy protocol.
    `java.lang.String` | `getUsername()` Get the proxy username for use if the proxy requires authentication.
    `java.lang.Boolean` | `isAuthenticated()` Get the flag indicating whether access to the proxy is authenticated.
    `void` | `setAddress(java.lang.String address)` Set the proxy address.
    `void` | `setAuthenticated(java.lang.Boolean authenticated)` Set the flag indicating whether access to the proxy is authenticated.
    `void` | `setDescription(java.lang.String description)` Set the proxy description.
    `void` | `setID(java.lang.Integer id)` Set the proxy ID.
    `void` | `setName(java.lang.String name)` Set the proxy name.
    `void` | `setPassword(java.lang.String password)` Set the proxy password for use if the proxy requires authentication.
    `void` | `setPort(java.lang.Integer port)` Set the proxy port.
    `void` | `setProtocol(Proxy.Protocol protocol)` Set the proxy protocol.
    `void` | `setUsername(java.lang.String username)` Set the proxy username.
    `Proxy` | `withAddress(java.lang.String address)` Set the proxy address.
    `Proxy` | `withAuthenticated(java.lang.Boolean authenticated)` Set the flag indicating whether access to the proxy is authenticated.
    `Proxy` | `withDescription(java.lang.String description)` Set the proxy description.
    `Proxy` | `withID(java.lang.Integer id)` Set the proxy ID.
    `Proxy` | `withName(java.lang.String name)` Set the proxy name.
    `Proxy` | `withPassword(java.lang.String password)` Set the proxy password for use if the proxy requires authentication.
    `Proxy` | `withPort(java.lang.Integer port)` Set the proxy port.
    `Proxy` | `withProtocol(Proxy.Protocol protocol)` Set the proxy protocol.
    `Proxy` | `withUsername(java.lang.String username)` Set the proxy username.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Proxy

          public Proxy()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      Get the proxy ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the proxy ID.

    - #### setID

          public void setID(java.lang.Integer id)

      Set the proxy ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the proxy ID.

    - #### withID

          public Proxy withID(java.lang.Integer id)

      Set the proxy ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the proxy ID.
      Returns:
        the updated Proxy object.

    - #### getName

          public java.lang.String getName()

      Get the proxy name.
      Returns:
        the proxy name.

    - #### setName

          public void setName(java.lang.String name)

      Set the proxy name.
      Parameters:
        `name` - the proxy name.

    - #### withName

          public Proxy withName(java.lang.String name)

      Set the proxy name.
      Parameters:
        `name` - the proxy name.
      Returns:
        the updated Proxy object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the proxy description.
      Returns:
        the proxy description.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the proxy description.
      Parameters:
        `description` - the proxy description.

    - #### withDescription

          public Proxy withDescription(java.lang.String description)

      Set the proxy description.
      Parameters:
        `description` - the proxy description.
      Returns:
        the updated Proxy object.

    - #### getAddress

          public java.lang.String getAddress()

      Get the proxy address.
      Returns:
        the proxy address.

    - #### setAddress

          public void setAddress(java.lang.String address)

      Set the proxy address.
      Parameters:
        `address` - the proxy address.

    - #### withAddress

          public Proxy withAddress(java.lang.String address)

      Set the proxy address.
      Parameters:
        `address` - the proxy address.
      Returns:
        the updated Proxy object.

    - #### getPort

          public java.lang.Integer getPort()

      Get the proxy port.
      Returns:
        the proxy port.

    - #### setPort

          public void setPort(java.lang.Integer port)

      Set the proxy port.
      Parameters:
        `port` - the proxy port.

    - #### withPort

          public Proxy withPort(java.lang.Integer port)

      Set the proxy port.
      Parameters:
        `port` - the proxy port.
      Returns:
        the updated Proxy object.

    - #### getProtocol

          public Proxy.Protocol getProtocol()

      Get the proxy protocol.
      Returns:
        the proxy protocol.

    - #### setProtocol

          public void setProtocol(Proxy.Protocol protocol)

      Set the proxy protocol.
      Parameters:
        `protocol` - the proxy protocol.

    - #### withProtocol

          public Proxy withProtocol(Proxy.Protocol protocol)

      Set the proxy protocol.
      Parameters:
        `protocol` - the proxy protocol.
      Returns:
        the updated Proxy object.

    - #### isAuthenticated

          public java.lang.Boolean isAuthenticated()

      Get the flag indicating whether access to the proxy is authenticated.
      Returns:
        the flag indicating whether access to the proxy is authenticated.

    - #### setAuthenticated

          public void setAuthenticated(java.lang.Boolean authenticated)

      Set the flag indicating whether access to the proxy is authenticated.
      Parameters:
        `authenticated` - the flag indicating whether access to the proxy is authenticated.

    - #### withAuthenticated

          public Proxy withAuthenticated(java.lang.Boolean authenticated)

      Set the flag indicating whether access to the proxy is authenticated.
      Parameters:
        `authenticated` - the flag indicating whether access to the proxy is authenticated.
      Returns:
        the updated Proxy object.

    - #### getUsername

          public java.lang.String getUsername()

      Get the proxy username for use if the proxy requires authentication.
      Returns:
        the proxy username.

    - #### setUsername

          public void setUsername(java.lang.String username)

      Set the proxy username.
      Parameters:
        `username` - the proxy username for use if the proxy requires authentication.

    - #### withUsername

          public Proxy withUsername(java.lang.String username)

      Set the proxy username.
      Parameters:
        `username` - the proxy username for use if the proxy requires authentication.
      Returns:
        the updated Proxy object.

    - #### getPassword

          public java.lang.String getPassword()

      Get the proxy password for use if the proxy requires authentication.

      To prevent accidental disclosure of the proxy password, the Deep Security Manager will not return this value; it can only be used to set the proxy password.

      Returns:
        the proxy password.

    - #### setPassword

          public void setPassword(java.lang.String password)

      Set the proxy password for use if the proxy requires authentication.

      To prevent accidental disclosure of the proxy password, the Deep Security Manager will not return this value; it can only be used to set the proxy password.

      Parameters:
        `password` - the proxy password.

    - #### withPassword

          public Proxy withPassword(java.lang.String password)

      Set the proxy password for use if the proxy requires authentication.

      To prevent accidental disclosure of the proxy password, the Deep Security Manager will not return this value; it can only be used to set the proxy password.

      Parameters:
        `password` - the proxy password.
      Returns:
        the updated Proxy object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.